net.sf.jasperreports.web.util

## Class JacksonUtil

- java.lang.Object
- - net.sf.jasperreports.web.util.JacksonUtil

-     public class JacksonUtil
      extends java.lang.Object

  Version:
    $Id: JacksonUtil.java 7092 2014-05-14 10:44:16Z narcism $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperty(com.fasterxml.jackson.databind.node.ObjectNode objectNode, java.lang.String property, java.lang.String value)`
    `java.lang.String` | `getEscapedJsonString(java.lang.Object object)`
    `static JacksonUtil` | `getInstance(JasperReportsContext jasperReportsContext)`
    `java.lang.String` | `getJsonString(java.lang.Object object)`
    `com.fasterxml.jackson.databind.node.ObjectNode` | `hyperlinkToJsonObject(JRPrintHyperlink hyperlink)`
    `<T> java.util.List<T>` | `loadAsList(java.lang.String jsonData, java.lang.Class<T> clazz)`
    `<T> java.util.List<T>` | `loadList(java.lang.String jsonData, java.lang.Class<T> clazz)`
    `<T> T` | `loadObject(java.lang.String jsonData, java.lang.Class<T> clazz)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static JacksonUtil getInstance(JasperReportsContext jasperReportsContext)

    - #### loadObject

          public <T> T loadObject(java.lang.String jsonData,
                         java.lang.Class<T> clazz)

    - #### loadList

          public <T> java.util.List<T> loadList(java.lang.String jsonData,
                                       java.lang.Class<T> clazz)

    - #### loadAsList

          public <T> java.util.List<T> loadAsList(java.lang.String jsonData,
                                         java.lang.Class<T> clazz)

    - #### getJsonString

          public java.lang.String getJsonString(java.lang.Object object)

    - #### getEscapedJsonString

          public java.lang.String getEscapedJsonString(java.lang.Object object)

    - #### hyperlinkToJsonObject

          public com.fasterxml.jackson.databind.node.ObjectNode hyperlinkToJsonObject(JRPrintHyperlink hyperlink)

    - #### addProperty

          public void addProperty(com.fasterxml.jackson.databind.node.ObjectNode objectNode,
                         java.lang.String property,
                         java.lang.String value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com